Bug 626539 - evolution-remove-duplicates-0.0.4-4.fc12.i686 cannot be used with evolution-2.30.2-4.fc13.i686
evolution-remove-duplicates-0.0.4-4.fc12.i686 cannot be used with evolution-2...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution-remove-duplicates (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-23 15:25 EDT by Giacomo Montagner
Modified: 2010-09-20 13:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-20 13:49:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giacomo Montagner 2010-08-23 15:25:44 EDT
Description of problem:
In fedora 13 repositories I still find evolution-remove-duplicates-0.0.4-4.fc12.i686, but inside evolution I have no "remove duplicates" plugin. 
I tried compiling evolution-remove-duplicates-0.0.4-4.fc1 from source but 
compilation fails with: 

 gcc -DHAVE_CONFIG_H -I. -I.. -I.. -DORBIT2=1 -pthread -I/usr/include/evolution-2.30 -I/usr/include/evolution-data-server-2.30 -I/usr/include/libxml2 -I/usr/include/unique-1.0 -I/usr/include/libgtkhtml-3.14 -I/usr/include/libgtkhtml-3.14/editor -I/usr/include/libgnomecanvas-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/nss3 -I/usr/include/nspr4 -I/usr/include/gconf/2 -I/usr/include/libsoup-2.4 -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/enchant -I/usr/include/gail-1.0 -I/usr/include/libart-2.0 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c remove-duplicates.c  -fPIC -DPIC -o .libs/remove-duplicates.o
remove-duplicates.c:23:27: error: mail/em-popup.h: No such file or directory
remove-duplicates.c:25:28: error: e-util/e-error.h: No such file or directory
remove-duplicates.c: In function 'run_dialog':
remove-duplicates.c:39: warning: implicit declaration of function 'e_error_run'
remove-duplicates.c: In function 'get_message_md5':
remove-duplicates.c:86: warning: pointer targets in passing argument 1 of 'md5_get_digest' differ in signedness
/usr/include/evolution-data-server-2.30/libedataserver/md5-utils.h:48: note: expected 'const gchar *' but argument is of type 'guint8 *'
remove-duplicates.c: At top level:
remove-duplicates.c:159: error: expected ')' before '*' token
remove-duplicates.c:162: error: expected ')' before '*' token
make[3]: *** [remove-duplicates.lo] Error 1
make[3]: Leaving directory `/home/root/rpmbuild/BUILD/remove-duplicates-plugin-0.0.4/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/root/rpmbuild/BUILD/remove-duplicates-plugin-0.0.4/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/root/rpmbuild/BUILD/remove-duplicates-plugin-0.0.4'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.UzE6q5 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.UzE6q5 (%build)

Version-Release number of selected component (if applicable):
evolution-remove-duplicates-0.0.4-4.fc12.i686
evolution-2.30.2-4.fc13.i686

How reproducible:
always


Steps to Reproduce:
1. install evolution
2. install evolution-remove-duplicate
3. try to enable plugin in "Edit -> Plugins" dialog: there is no "remove 
   duplicates" plugin. 
  
Actual results:
Plugin cannot be used.

Expected results:
Plugin can be used. 

Additional info:
Comment 1 Charlie Bennett 2010-09-04 13:17:40 EDT
This is an unfortunate regression.  Given the flakyness of evolution
duplicates are a fact of life.


Has somebody petitioned Carlos G for a fix?
Comment 2 Michel Alexandre Salim 2010-09-20 13:49:32 EDT
I've not managed to contact him at all -- if you happen to have his contact details, please do ask.

evo-rem-dup is actually not supported as of F-13, but it was not disabled in time for the release, and as a policy the software that are shipped at release time stays alive in that particular release.

Note You need to log in before you can comment on or make changes to this bug.